Magick::Drawable Class Reference

`#include <Drawable.h>`

## Public Member Functions

| Drawable (void)
| Drawable (const DrawableBase &original_)
| ~Drawable (void)
| Drawable (const Drawable &original_)
Drawable & | operator= (const Drawable &original_)
void | operator() (MagickCore::DrawingWand *context_) const

## Detailed Description

Definition at line 133 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::Drawable::Drawable | ( | void |  | ) |

Definition at line 61 of file Drawable.cpp.

Magick::Drawable::Drawable | ( | const DrawableBase & | original_ | ) |

Definition at line 67 of file Drawable.cpp.

Magick::Drawable::~Drawable | ( | void |  | ) |

Definition at line 73 of file Drawable.cpp.

Magick::Drawable::Drawable | ( | const Drawable & | original_ | ) |

Definition at line 80 of file Drawable.cpp.

## Member Function Documentation

void Magick::Drawable::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

Definition at line 98 of file Drawable.cpp.

Magick::Drawable & Magick::Drawable::operator= | ( | const Drawable & | original_ | ) |

Definition at line 86 of file Drawable.cpp.

References Magick::DrawableBase::copy().

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp